Upgrading from 4.3.X to 4.4.0

Version 4.4.0 contains a few small changes to templates, but no configuration or database schema changes. No messages files or changes to the SDK were made.

Updating templates

The version of jQuery that the default templates use was upgraded from 3.3.1 to 3.4.1. According to the release notes of this third-party script, this change should not incur any breaking changes. If it becomes an issue, the file $IDSVR_HOME/usr/share/webroot/assets/js/lib/jquery-3.4.1.min.js can be replaced with the old version. Be aware, however, that this upgrade was done to avoid a security vulnerability in the old version, so downgrading is not recommended.

The original query parameter (oq) has been added in the emails sent by the HTML form authenticator when doing the reset password flow. This is required for the auto-login functionality. Templates updated:

  • ROOT_DIR/authenticator/html-form/email/reset-password/email.vm
  • ROOT_DIR/authenticator/html-form/email/reset-password/email.txt.vm
  • ROOT_DIR/authenticator/bankid/launch/index.vm

Also, the BankID and NetID authenticators ware updated, in particular, the template files ROOT_DIR/authenticator/bankid/launch/index.vm and ROOT_DIR/authenticator/netidaccess/launch/index.vm, respectively.

(where ROOT_DIR is $IDSVR_HOME/usr/share/templates/core)